using System;

namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter04.Listing04_24
{
    public class CircleAreaCalculator
    {
        public static void Main()
        {
            double radius; // Deklaracja zmiennej przechowującej promień.
            double area;   // Deklaracja zmiennej przechowującej powierzchnię.

            System.Console.Write("Wprowadź promień koła: ");

            // Instrukcja double.Parse przekształca wartość zwróconą 
            // przez polecenie ReadLine() na typ double.
            radius = double.Parse(System.Console.ReadLine());
            if (radius >= 0)
            {
                // Obliczanie powierzchni koła.
                area = Math.PI * radius * radius;
                System.Console.WriteLine(
                  $"Powierzchnia koła wynosi: { area: 0.00}");
            }
            else
            {
                System.Console.WriteLine(
                  $"{ radius } nie jest poprawną wartością promienia.");
            }

        }
    }
}
